Bug 55901 - slapd misparses some Outlook 2002 LDAP requests
slapd misparses some Outlook 2002 LDAP requests
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: openldap (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-08 09:54 EST by John Dalbec
Modified: 2014-08-31 19:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:26:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Dalbec 2001-11-08 09:54:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (Windows NT 5.0; U)

Description of problem:
When attempting to parse a department search LDAP request from Outlook 2002, slapd gets confused and drops the connection.  Other 
Outlook 2002 searches are successful.  The equivalent request (e.g. department=com*) from the command-line ldapsearch tool parses 
correctly.  Naturally, since 'department' is not part of any standard schema, no results are returned.  The problem seems to be triggered by 
a combination of the attribute name not being in the server schema and the '84 xx xx xx xx' format that Outlook uses for the lengths.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. In Outlook 2002, attempt an LDAP search by department on an OpenLDAP 2.0.11-13 server.
2.
3.
	

Actual Results:  If the search string is at least 3 characters, Outlook complains 'LDAP directory not available'.

Expected Results:  'No entries found' at a minimum.

Additional info:

-d 255 output from Outlook search:
begin get_substring_filter
ber_scanf fmt ({o) ber:
ber_dump: buf=0x080d6320 ptr=0x080d634d end=0x080d6370 len=35
  0000:  a4 84 00 00 00 17 04 0a  64 65 70 61 72 74 6d 65   ........departme  
  0010:  6e 74 30 84 00 00 00 05  80 03 63 6f 6d 30 84 00   nt0.......com0..  
  0020:  00 00 00                                           ...               
end get_filter 0
begin get_filter
get_filter: unknown filter type=48
end get_filter 0
begin get_filter
get_filter: unknown filter type=128
end get_filter 0
end get_filter_list
end get_filter 0
    filter: (&(undefined)(undefined)(undefined))
ber_scanf fmt ({v}}) ber:
ber_dump: buf=0x080d6320 ptr=0x080d6367 end=0x080d6370 len=9
  0000:  63 6f 6d 30 84 00 00 00  00                        com0.....         
<= get_ctrls: 0 -2 unexpected data in PDU

-d 255 output from ldapsearch:
begin get_substring_filter
ber_scanf fmt ({o) ber:
ber_dump: buf=0x08122068 ptr=0x0812208b end=0x081220a2 len=23
  0000:  a4 13 04 0a 64 65 70 61  72 74 6d 65 6e 74 30 05   ....department0.
  0010:  81 03 63 6f 6d 30 00                               ..com0.
end get_filter 0
    filter: (undefined)
ber_scanf fmt ({v}}) ber:
ber_dump: buf=0x08122068 ptr=0x08122099 end=0x081220a2 len=9
  0000:  30 05 81 03 63 6f 6d 30  00                        0...com0.
<= get_ctrls: 0 0
Comment 1 Bill Nottingham 2006-08-07 15:02:56 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 12:26:34 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.